module git.vdhsn.com/barretthousen/barretthousen/src/runner

go 1.19

require (
	git.vdhsn.com/barretthousen/barretthousen/src/catalog v1.0.0
	git.vdhsn.com/barretthousen/barretthousen/src/lib v1.0.0
	github.com/grpc-ecosystem/grpc-gateway/v2 v2.15.2
	go.uber.org/dig v1.16.1
	golang.org/x/sync v0.2.0
	google.golang.org/genproto v0.0.0-20230410155749-daa745c078e1
	google.golang.org/protobuf v1.30.0
)

require (
	github.com/BurntSushi/toml v1.2.1 // indirect
	github.com/golang/protobuf v1.5.3 // indirect
	github.com/ilyakaznacheev/cleanenv v1.4.2 // indirect
	github.com/jackc/puddle v1.3.0 // indirect
	github.com/joho/godotenv v1.5.1 // indirect
	github.com/pressly/goose/v3 v3.11.0 // indirect
	golang.org/x/net v0.9.0 // indirect
	golang.org/x/sys v0.8.0 // indirect
	gopkg.in/yaml.v3 v3.0.1 // indirect
	olympos.io/encoding/edn v0.0.0-20201019073823-d3554ca0b0a3 // indirect
)

require (
	github.com/jackc/chunkreader/v2 v2.0.1 // indirect
	github.com/jackc/pgconn v1.14.0
	github.com/jackc/pgio v1.0.0 // indirect
	github.com/jackc/pgpassfile v1.0.0 // indirect
	github.com/jackc/pgproto3/v2 v2.3.2 // indirect
	github.com/jackc/pgservicefile v0.0.0-20221227161230-091c0ba34f0a // indirect
	github.com/jackc/pgtype v1.14.0 // indirect
	github.com/jackc/pgx/v4 v4.18.1
	go.uber.org/automaxprocs v1.5.2 // indirect
	golang.org/x/crypto v0.8.0 // indirect
	golang.org/x/text v0.9.0 // indirect
	google.golang.org/grpc v1.55.0
)

replace git.vdhsn.com/barretthousen/barretthousen/src/lib v1.0.0 => ../lib

replace git.vdhsn.com/barretthousen/barretthousen/src/catalog v1.0.0 => ../catalog
